gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Objects.BlendNode

Contents

- Exported types
- Methods
  - getBlendMode
  - getBottomChild
  - getTopChild
  - new

Description

A render node applying a blending function between its two child nodes.

Synopsis

- newtype BlendNode = BlendNode (ManagedPtr BlendNode)
- class (BoxedPtr o, TypedObject o, IsDescendantOf BlendNode o) => IsBlendNode o
- toBlendNode :: (MonadIO m, IsBlendNode o) => o -> m BlendNode
- blendNodeGetBlendMode :: (HasCallStack, MonadIO m, IsBlendNode a) => a -> m BlendMode
- blendNodeGetBottomChild :: (HasCallStack, MonadIO m, IsBlendNode a) => a -> m RenderNode
- blendNodeGetTopChild :: (HasCallStack, MonadIO m, IsBlendNode a) => a -> m RenderNode
- blendNodeNew :: (HasCallStack, MonadIO m, IsRenderNode a, IsRenderNode b) => a -> b -> BlendMode -> m BlendNode

# Exported types

newtype BlendNode Source #

Memory-managed wrapper type.

Constructors

BlendNode (ManagedPtr BlendNode) |

#### Instances

Instances details

Eq BlendNode Source # |
Instance details Defined in GI.Gsk.Objects.BlendNode Methods (==) :: BlendNode -> BlendNode -> Bool Source # (/=) :: BlendNode -> BlendNode -> Bool Source #
BoxedPtr BlendNode Source # |
Instance details Defined in GI.Gsk.Objects.BlendNode Methods boxedPtrCopy :: BlendNode -> IO BlendNode Source # boxedPtrFree :: BlendNode -> IO () Source #
ManagedPtrNewtype BlendNode Source # |
Instance details Defined in GI.Gsk.Objects.BlendNode Methods toManagedPtr :: BlendNode -> ManagedPtr BlendNode Source #
TypedObject BlendNode Source # |
Instance details Defined in GI.Gsk.Objects.BlendNode Methods glibType :: IO GType Source #
HasParentTypes BlendNode Source # |
Instance details Defined in GI.Gsk.Objects.BlendNode
type ParentTypes BlendNode Source # |
Instance details Defined in GI.Gsk.Objects.BlendNode type ParentTypes BlendNode = '[RenderNode]

class (BoxedPtr o, TypedObject o, IsDescendantOf BlendNode o) => IsBlendNode o Source #

Type class for types which can be safely cast to `BlendNode`, for instance with `toBlendNode`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf BlendNode o) => IsBlendNode o Source # |
Instance details Defined in GI.Gsk.Objects.BlendNode

toBlendNode :: (MonadIO m, IsBlendNode o) => o -> m BlendNode Source #

Cast to `BlendNode`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

draw, ref, serialize, unref, writeToFile.

#### Getters

getBlendMode, getBottomChild, getBounds, getNodeType, getOpaqueRect, getTopChild.

#### Setters

None.

## getBlendMode

blendNodeGetBlendMode Source #

Arguments

:: (HasCallStack, MonadIO m, IsBlendNode a) |
=> a | `node`: a blending `GskRenderNode`
-> m BlendMode | Returns: the blend mode

Retrieves the blend mode used by `node`.

## getBottomChild

blendNodeGetBottomChild Source #

Arguments

:: (HasCallStack, MonadIO m, IsBlendNode a) |
=> a | `node`: a blending `GskRenderNode`
-> m RenderNode | Returns: the bottom child node

Retrieves the bottom `GskRenderNode` child of the `node`.

## getTopChild

blendNodeGetTopChild Source #

Arguments

:: (HasCallStack, MonadIO m, IsBlendNode a) |
=> a | `node`: a blending `GskRenderNode`
-> m RenderNode | Returns: the top child node

Retrieves the top `GskRenderNode` child of the `node`.

## new

blendNodeNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsRenderNode a, IsRenderNode b) |
=> a | `bottom`: The bottom node to be drawn
-> b | `top`: The node to be blended onto the `bottom` node
-> BlendMode | `blendMode`: The blend mode to use
-> m BlendNode | Returns: A new `GskRenderNode`

Creates a `GskRenderNode` that will use `blendMode` to blend the `top` node onto the `bottom` node.